Name:           python-sendfile
Version:        2.0.0
Release:        1%{?dist}
Summary:        Python interface to the sendfile(2) system call

License:        MIT
URL:            http://code.google.com/p/pysendfile/
Source0:        http://pysendfile.googlecode.com/files/pysendfile-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%{?filter_setup:
%filter_provides_in %{python_sitearch}
%filter_setup
}

%description
sendfile(2) is a system call which provides a "zero-copy" way of copying data
from one file descriptor to another (a socket). The phrase "zero-copy" refers
to the fact that all of the copying of data between the two descriptors is done
entirely by the kernel, with no copying of data into user-space buffers. This is
particularly useful when sending a file over a socket (e.g. FTP). 

%prep
%setup -q -n pysendfile-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README LICENSE
%attr(755, root, root) %{python_sitearch}/sendfile.so
%{python_sitearch}/pysendfile-%{version}-*.egg-info


%changelog
* Tue Feb 7 2012 Russell Bryant <russellb@fedoraproject.org> - 2.0.0-1
- Initial package
